Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class Slicer

    java.lang.Object
      ij.plugin.Slicer

All Implemented Interfaces:
  java.util.EventListener, PlugIn, java.awt.event.TextListener

public class Slicer
extends java.lang.Object
implements PlugIn, java.awt.event.TextListener

Implements the Image/Stacks/Reslice command.

Constructor Summary
`Slicer()`

Method Summary
`void` | `putColumn(ImageProcessor ip, int x, int y, float[] data, int length)`
`void` | `putRow(ImageProcessor ip, int x, int y, float[] data, int length)`
`ImagePlus` | `reslice(ImagePlus imp)`
`void` | `run(java.lang.String arg)` This method is called when the plugin is loaded.
`void` | `textValueChanged(java.awt.event.TextEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slicer

    public Slicer()

Method Detail

### run

    public void run(java.lang.String arg)

  Description copied from interface: `PlugIn`
  This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

  Specified by:
    `run` in interface `PlugIn`

### reslice

    public ImagePlus reslice(ImagePlus imp)

### putRow

    public void putRow(ImageProcessor ip,
                       int x,
                       int y,
                       float[] data,
                       int length)

### putColumn

    public void putColumn(ImageProcessor ip,
                          int x,
                          int y,
                          float[] data,
                          int length)

### textValueChanged

    public void textValueChanged(java.awt.event.TextEvent e)

  Specified by:
    `textValueChanged` in interface `java.awt.event.TextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD